oracle.pg.hbase

## Class OraclePropertyGraphConfiguration

- java.lang.Object
- - oracle.pg.hbase.OraclePropertyGraphConfiguration

- All Implemented Interfaces:
    com.tinkerpop.rexster.config.GraphConfiguration

      public class OraclePropertyGraphConfiguration
      extends Object
      implements com.tinkerpop.rexster.config.GraphConfiguration

  This class implements the Rexster GraphConfiguration interface.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIG_OPG_CLIENT_PORT` The client port
    `static String` | `CONFIG_OPG_GRAPH_NAME` The name of the OraclePropertyGraph
    `static String` | `CONFIG_OPG_QUORUM` The ZooKeeper quorum

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OraclePropertyGraphConfiguration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Graph` | `configureGraphInstance(org.apache.commons.configuration.Configuration properties)` Creates and returns an `OraclePropertyGraph` instance with the properties specified in the Configuration

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_OPG_CLIENT_PORT

          public static final String CONFIG_OPG_CLIENT_PORT

      The client port
      See Also:
        Constant Field Values

    - #### CONFIG_OPG_GRAPH_NAME

          public static final String CONFIG_OPG_GRAPH_NAME

      The name of the OraclePropertyGraph
      See Also:
        Constant Field Values

    - #### CONFIG_OPG_QUORUM

          public static final String CONFIG_OPG_QUORUM

      The ZooKeeper quorum
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OraclePropertyGraphConfiguration

          public OraclePropertyGraphConfiguration()

  - ### Method Detail

    - #### configureGraphInstance

          public Graph configureGraphInstance(org.apache.commons.configuration.Configuration properties)
                                       throws com.tinkerpop.rexster.config.GraphConfigurationException

      Creates and returns an `OraclePropertyGraph` instance with the properties specified in the Configuration
      Specified by:
        `configureGraphInstance` in interface `com.tinkerpop.rexster.config.GraphConfiguration`
      Parameters:
        `properties` - The Configuration object used to creathe the returned Graph.
      Throws:
        `com.tinkerpop.rexster.config.GraphConfigurationException`

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.